<?
include 'config.php';
include 'func.php';
head();
aut();
ban();

####################Запись онлайна##################
mysql_query("UPDATE `profile` SET `online` = 'simp' WHERE `id` = '".$id_session."'");
####################################################
$my_many = $many_session;
$id = num($_GET['id']);
$user = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$id."'"));
echo head . 'Действия' . div . katalog;

if (isset($_POST['submit'])) {
    $act = num($_POST['act']);
    
    if ($act == 14 OR $act == 1 OR $act == 4 OR $act == 63 OR $act == 21 OR $act == 23 OR $act == 13) $many = 0;
    if ($act == 24 OR $act == 27 OR $act == 28 OR $act == 33 OR $act == 35 OR $act == 37 OR $act == 39 OR $act == 61 OR $act == 62) $many = 25;
    if ($act == 38 OR $act == 19 OR $act == 47 OR $act == 46 OR $act == 18 OR $act == 32) $many = 30;
    if ($act == 43 OR $act == 64 OR $act == 65 OR $act == 66 OR $act == 67) $many = 35;
    if ($act == 41 OR $act == 42 OR $act == 29 OR $act == 45 OR $act == 20 OR $act == 36) $many = 40;     
    if ($act == 22 OR $act == 11 OR $act == 26 OR $act == 22 OR $act == 11 OR $act == 26 OR $act == 17 OR $act == 16) $many = 45;  
    if ($act == 25 OR $act == 52 OR $act == 8 OR $act == 34) $many = 50;
    if ($act == 55 OR $act == 30) $many = 55;
    if ($act == 56) $many = 60;
    if ($act == 58 OR $act == 50 OR $act == 10) $many = 65;
    if ($act == 53 OR $act == 59) $many = 70;
    if ($act == 60 OR $act == 57) $many = 75;
    if ($act == 51 OR $act == 31) $many = 80;
    if ($act == 48) $many = 100;
    if ($act == 54 OR $act == 54) $many = 200;
    
    if (empty($user['id'])) $err = 'Данного пользователя не существует';
    if ($user['id'] == $id_session) $err = 'Собрались делать действие самому себе?';
    
    if ($vip_session > time()) {
        $cena = 0;
    } else {
        if ($many > $my_many) $err = 'У вас не достаточно средств';
    }
    
    $result = $many_session - $cena;
    
    function str1($str) {
        $str = strtr($str, array (
        '14' => 'подмигнул тебе',
        '1' => 'обнял тебя',
        '4' => 'поцеловал тебя',
        '63' => 'показал язык тебе',
        '21' => 'пожал руку тебе',
        '23' => 'сказал тебе спасибо',
        '13' => 'дружески обнял тебя',
        '24' => 'попросил у тебя прощения',
        '27' => 'пожелал тебе доброго утра',
        '28' => 'пожелал тебе сладких снов',
        '33' => 'кинул в тебя снежком',
        '35' => 'пожелал тебе удачи',
        '37' => 'скучает по тебе',
        '39' => 'пожелал тебе крепкого здоровья',
        '61' => 'укусил тебя',
        '62' => 'прижался к тебе',
        '38' => 'обожает тебя',
        '19' => 'поцеловал тебя страстно',
        '47' => 'угостил тебя кофем',
        '46' => 'сказал "ты мой самый лучший друг"',
        '18' => 'приласкал тебя',
        '32' => 'поцеловал тебя в носик',
        '43' => 'обиделся на тебя',
        '64' => 'раздел тебя',
        '65' => 'жестоко отшил тебя',
        '66' => 'послал на Х тебя',
        '67' => 'пнул тебя',
        '41' => 'осыпал тебя лепестками роз',
        '42' => 'сказал "ты мне нужен/на"',
        '29' => 'укусил тебя за ушко',
        '45' => 'поцеловал тебя в шейку',
        '20' => 'пощекотал тебя',
        '36' => 'поздравил тебя',
        '22' => 'пригласил тебя на свидание',
        '11' => 'купил тебе мороженное',
        '26' => 'шепнул тебе на ушко "я тебя люблю"',
        '17' => 'угостил тебя пивом',
        '16' => 'пригласил тебя на танец',
        '25' => 'ударил тебя',
        '52' => 'попросил тебя вернуться',
        '8' => 'пригласил уедениться',
        '34' => 'шлепнул тебя по попе',
        '55' => 'сказал "ты - ангел"',
        '30' => 'пнул тебе под зад',
        '56' => 'сказал "ты - чудо"',
        '58' => 'сказал "ты - настоящий мужчина"',
        '50' => 'хочет к тебе',
        '10' => 'признался тебе в любви',
        '53' => 'попросил не уходить',
        '59' => 'сказал "ты - мой герой"',
        '60' => 'сказал "самая любимая"',
        '57' => 'безума от тебя',
        '51' => 'сказал "ты - самый дорогой мне человек"',
        '31' => 'дал тебе пощёчину',
        '48' => 'пригласил тебя на романтический ужин',
        '54' => 'сказал "все для тебя"',
        '68' => 'поздаровался с тобой',
        '69' => 'улыбнулся тебе'
        ));
    return $str;
    }
    
    function str2($str) {
        $str = strtr($str, array (
        '14' => 'подмигнула тебя',
        '1' => 'обняла тебя',
        '4' => 'поцеловала тебя',
        '63' => 'показала тебе язык',
        '21' => 'пожала тебе руку',
        '23' => 'сказала тебе спасибо',
        '13' => 'дружески тебя обняла',
        '24' => 'попросила у тебя прощения',
        '27' => 'пожелала тебе доброго утра',
        '28' => 'пожелала тебе сладких снов',
        '33' => 'кинула в тебя снежком',
        '35' => 'пожелала тебе удачи',
        '37' => 'скучает по тебе',
        '39' => 'пожелала тебе крепкого здоровья',
        '61' => 'укусила тебя',
        '62' => 'прижалась к тебе',
        '38' => 'обожает тебя',
        '19' => 'поцеловала тебя страстно',
        '47' => 'угостила тебя кофем',
        '46' => 'сказала "ты мой самый лучший друг"',
        '18' => 'приласкала тебя',
        '32' => 'поцеловала тебя в носик',
        '43' => 'обиделась на тебя',
        '64' => 'раздела тебя',
        '65' => 'жестоко отшила тебя ',
        '66' => 'послала тебя на Х',
        '67' => 'пнула тебя',
        '41' => 'осыпала тебя лепестками роз',
        '42' => 'сказала "ты мне нужен/на"',
        '29' => 'укусила тебя за ушко',
        '45' => 'поцеловала тебя в шейку',
        '20' => 'пощекотала тебя',
        '36' => 'поздравила тебя',
        '22' => 'пригласила тебя на свидание',
        '11' => 'купила мороженное',
        '26' => 'шепнула на ушко "я тебя люблю"',
        '17' => 'угостила тебя пивом',
        '16' => 'пригласила тебя на танец',
        '25' => 'ударила тебя',
        '52' => 'попросила тебя вернуться',
        '8' => 'пригласила тебя уедениться',
        '34' => 'шлепнула тебе по попе',
        '55' => 'сказала "ты - ангел"',
        '30' => 'пнула тебе под зад',
        '56' => 'сказала "ты - чудо"',
        '58' => 'сказала "ты - настоящий мужчина"',
        '50' => 'хочет к тебе',
        '10' => 'призналась тебе в любви',
        '53' => 'сказала "не уходи"',
        '59' => 'сказала "ты - мой герой"',
        '60' => 'сказала "ты - самый/ая любимый/ая"',
        '57' => 'безума от тебя',
        '51' => 'сказала "ты - самый дорогой мне человек"',
        '31' => 'дала тебе пощёчину',
        '48' => 'пригласила тебя на романтический ужин',
        '54' => 'сказала "все для тебя"',
        '68' => 'поздаровался с тобой',
        '69' => 'улыбнулся тебе'
        ));
    return $str;
    }
    
    
    if ($sex_session == 0)
        $text = str2($act);
    else
        $text = str1($act);
    
    $msg = 'Пользователь <b>' . $login_session . '</b> ' . $text;
    
    if (mysql_query("INSERT INTO `uvedom` SET  `msg` = '".$msg."', `md` = 'simp', `user_to` = '".$user['id']."', `user_ot` = '".$id_session."', `date` = '".time()."', `status` = '1'")) {
        mysql_query("UPDATE `profile` SET  `many` = '".$result."' WHERE `id` = '".$id_session."'");
        echo 'Вы успешно выполнили действие для <b>'.$user['login'].'</b><br/>';
    } else    
        echo 'Возникла ошибка<br/>';
    
    
}
echo '
<form method="post" action="simp2.php?id='.$id.'">
<select name="act">
<option value="14">Подмигнуть</option>
<option value="68">Поздароваться</option>
<option value="69">Улыбнуться</option>
<option value="1">Обнять</option>
<option value="4">Поцеловать</option>
<option value="63">Показать язык</option>
<option value="21">Пожать руку</option>
<option value="23">Сказать спасибо</option>
<option value="13">Дружески обнять</option>';

if ($my_many >= 25 OR $vip_session > time()) {
echo '<option value="24">Попросить прощение (25 монет)</option>
<option value="27">Пожелать доброго утра (25 монет)</option>
<option value="28">Пожелать сладких снов (25 монет)</option>
<option value="33">Кинуть снежком (25 монет)</option>
<option value="35">Пожелать удачи (25 монет)</option>
<option value="37">Скучаю по тебе (25 монет)</option>
<option value="39">Пожелать крепкого здоровья (25 монет)</option>
<option value="61">Укусить (25 монет)</option>
<option value="62">Прижаться (25 монет)</option>';
}
if ($my_many >= 30 OR $vip_session > time()) {
echo '<option value="38">Обожаю тебя (30 монет)</option>
<option value="19">Поцеловать страстно (30 монет)</option>
<option value="47">Угостить кофе (30 монет)</option>
<option value="46">Сказать "ты мой лучший друг" (30 баллов)</option>
<option value="18">Приласкать (30 монет)</option>
<option value="32">Поцеловать в носик (30 монет)</option>';
}
if ($my_many >= 35 OR $vip_session > time()) {
echo '<option value="43">Обидеться (35 монет)</option>
<option value="64">Раздеть (35 монет)</option>
<option value="65">Жестко отшить (35 монет)</option>
<option value="66">Послать на Х (35 монет)</option>
<option value="67">Пнуть (35 монет)</option>';
}
if ($my_many >= 40 OR $vip_session > time()) {
echo '<option value="41">Осыпать лепестками роз (40 монет)</option>
<option value="42">Ты мне нужен/на (40 монет)</option>
<option value="29">Укусить за ушко (40 монет)</option>
<option value="45">Поцеловать в шейку (40 монет)</option>
<option value="20">Пощекотать (40 монет)</option>
<option value="36">Поздравить (40 монет)</option>';
}
if ($my_many >= 45 OR $vip_session > time()) {
echo '<option value="22">Пригласить на свидание (45 монет)</option>
<option value="11">Купить мороженое (45 монет)</option>
<option value="26">Шепнуть на ушко я тебя люблю (45 монет)</option>
<option value="17">Угостить пивом (45 монет)</option>
<option value="16">Пригласить на танец (45 монет)</option>';
}
if ($my_many >= 50 OR $vip_session > time()) {
echo '<option value="25">Ударить (50 монет)</option>
<option value="52">Вернись (50 монет)</option>
<option value="8">Пригласить уединиться (50 монет)</option>
<option value="34">Шлепнуть по попе (50 монет)</option>';
}
if ($my_many >= 55 OR $vip_session > time()) {
echo '<option value="55">Ты - ангел (55 монет)</option>
<option value="30">Пнуть под зад (55 монет)</option>';
}
if ($my_many >= 60 OR $vip_session > time()) {
echo '<option value="56">Ты - чудо (60 монет)</option>';
}
if ($my_many >= 65 OR $vip_session > time()) {
echo '<option value="58">Настоящий(ая) мужчина/женщина (65 монет)</option>
<option value="50">Хочу к тебе (65 монет)</option>
<option value="10">Признаться в любви (65 монет)</option>';
}
if ($my_many >= 70 OR $vip_session > time()) {
echo '<option value="53">Не уходи (70 монет)</option>
<option value="59">Мой герой (70 монет)</option>';
}
if ($my_many >= 75 OR $vip_session > time()) {
echo '<option value="60">Самый любимый/ая (75 монет)</option>
<option value="57">Безума от тебя (75 монет)</option>';
}
if ($my_many >= 80 OR $vip_session > time()) {
echo '<option value="51">Ты самый дорогой мне человек (80 монет)</option>
<option value="31">Дать пощёчину (80 монет)</option>';
}
if ($my_many >= 100 OR $vip_session > time()) {
echo '<option value="48">Пригласить на романтический ужин (100 монет)</option>
<option value="54">Все для тебя (100 монет)</option>';
}
echo '</select>
<input type="submit" name="submit" value="Ок"/></form>
';



echo div;  
navig();
foot();
////////////////////////

?>